Rated 5 out of 5 stars

Seriously useful tool!

Current build (0.2.2) won't install on Firefox 3.0.1 which contradicts the documentation. install.rdf needs updating as it currently specifies maximum version as 3.0.9a

This review is for a previous version of the add-on (0.2.2).